scala.dbc.datatype
class ApproximateNumeric

[source: `scala/dbc/datatype/ApproximateNumeric.scala`]

`abstract` `class` ApproximateNumeric[Type](`val override` nativeTypeId : Int)
  `extends` Numeric[Type]

  A type category for all SQL types that store varying-precision numbers.

Method Summary
`def` | isEquivalent (datatype : DataType) : Boolean Tests whether this datatype is equivalent to another. Usually, two types are defined as equivalent if they are equal. Two types can be equivalent without being equal if values of those types will be encoded in the same native Scala type.
`def` | isSubtypeOf (datatype : DataType) : Boolean Tests whether this datatype is equivalent or a subtype of another datatype. Type `A` is said to be subtype of type `B` if any value of type `A` can be represented as a value of type `B`.
`override def` | sqlString : String A SQL-99 compliant string representation of the type. ### Compatibility notice This method assumes that a real uses 32 bits and a double 64. This is not defined in the standard but is usually the case.

Methods inherited from DataType
nullable

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Methods inherited from Numeric
precisionRadix (abstract), precision (abstract), signed (abstract)

Method Details

`` `def` isEquivalent(datatype : DataType) : Boolean

  Tests whether this datatype is equivalent to another. Usually, two types are defined as equivalent if they are equal. Two types can be equivalent without being equal if values of those types will be encoded in the same native Scala type.

`` `def` isSubtypeOf(datatype : DataType) : Boolean

  Tests whether this datatype is equivalent or a subtype of another datatype. Type `A` is said to be subtype of type `B` if any value of type `A` can be represented as a value of type `B`.

`override` `def` sqlString : String

  A SQL-99 compliant string representation of the type.

  ### Compatibility notice

  This method assumes that a real uses 32 bits and a double 64. This is not defined in the standard but is usually the case.